package com.gic.haoban.manage.web.controller.chat;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.base.api.common.pojo.dto.WebLoginDTO;
import com.gic.haoban.common.utils.AuthWebRequestUtil;
import com.gic.haoban.manage.api.dto.chat.GroupChatDataDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.ChatDataSearchQDTO;
import com.gic.haoban.manage.api.service.chat.GroupChatDataApiService;

/**
 * 
* @ClassName: GroupChatController
* @Description: 群
* @author xugh
* @date 2022年11月26日 上午9:32:56
*
 */
@RestController
@RequestMapping("/chat/data")
public class GroupChatDataController {

    @Autowired
    private GroupChatDataApiService groupChatDataApiService;

    @RequestMapping("total")
    public RestResponse<Object> listTotalData(ChatDataSearchQDTO qdto) {
        WebLoginDTO loginUser = AuthWebRequestUtil.getLoginUser();
        String wxEnterpriseId = loginUser.getWxEnterpriseId();
        qdto.setWxEnterpriseId(wxEnterpriseId);
        ServiceResponse<GroupChatDataDTO> resp = this.groupChatDataApiService.listTotalData(qdto);
        return RestResponse.successResult(resp.getResult());
    }

    @RequestMapping("list-chat")
    public RestResponse<Object> listForChat(ChatDataSearchQDTO qdto) {
        WebLoginDTO loginUser = AuthWebRequestUtil.getLoginUser();
        String wxEnterpriseId = loginUser.getWxEnterpriseId();
        qdto.setWxEnterpriseId(wxEnterpriseId);
        ServiceResponse<List<GroupChatDataDTO>> resp = this.groupChatDataApiService.listForChat(qdto);
        return RestResponse.successResult(resp.getResult());
    }

    @RequestMapping("list-staff")
    public RestResponse<Object> listStaffData(ChatDataSearchQDTO qdto, BasePageInfo basePageInfo) {
        WebLoginDTO loginUser = AuthWebRequestUtil.getLoginUser();
        String wxEnterpriseId = loginUser.getWxEnterpriseId();
        qdto.setWxEnterpriseId(wxEnterpriseId);
        ServiceResponse<Page<GroupChatDataDTO>> resp = this.groupChatDataApiService.listStaffData(qdto, basePageInfo);
        return RestResponse.successResult(resp.getResult());
    }

}
